petsc-3.13.6 2020-09-29
Report Typos and Errors

# PetscInfoGetClass

Indicates whether the provided classname is marked as a filter in PetscInfo() as set by PetscInfoSetClasses()

### Synopsis

    #include "petscsys.h"
    PetscErrorCode PetscInfoGetClass(const char *classname, PetscBool *found)

Not Collective

### Input Paramater

classname -Name of the class to search for

### Output Parameter

found -PetscBool indicating whether the classname was found

### Notes

Use PetscObjectGetName() to retrieve an appropriate classname

### See Also

PetscInfo(), PetscInfoSetClasses(), PetscInfoSetFromOptions(), PetscObjectGetName()

### Level

developer

### Location

src/sys/info/verboseinfo.c
Index of all Profiling routines
Table of Contents for all manual pages
Index of all manual pages